Bug 1441670 - Add provider screen: No error message when trying to add a provider with a custom ssl certificate that does not match
Summary: Add provider screen: No error message when trying to add a provider with a cu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Beni Paskin-Cherniavsky
QA Contact: Pavel Zagalsky
URL:
Whiteboard: container
Depends On: 1436221
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-12 12:29 UTC by Satoe Imaishi
Modified: 2017-05-31 15:03 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1436221
Environment:
Last Closed: 2017-05-31 15:03:48 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 Beni Paskin-Cherniavsky 2017-04-12 15:17:24 UTC
Fine backport details:

$ git log -1
commit 03de454b980063ff78a28a3e0bd799da54d01a2a
Author: Martin Povolny <mpovolny@redhat.com>
Date:   Sun Apr 9 20:12:01 2017 +0200

    Merge pull request #972 from cben/get_hostname_from_routes-sslerror
    
    Catch SSLError too when adding a provider
    (cherry picked from commit bc446e54ba10dc0ca0a940abcd73f7e33d70c699)

Comment 3 CFME Bot 2017-04-24 17:33:20 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/a44e91167f2f44332649a3a55f68f99e194c5371

commit a44e91167f2f44332649a3a55f68f99e194c5371
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Mon Apr 24 14:25:55 2017 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 13:31:56 2017 -0400

    Merge pull request #1126 from yaacov/fix-false-validation-error
    
    Fix wrong validation error
    (cherry picked from commit d63ee8fe6eb6907fbf57202029248bfba64704f5)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445002
    https://bugzilla.redhat.com/show_bug.cgi?id=1441670

 app/controllers/mixins/ems_common_angular.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Pavel Zagalsky 2017-04-30 09:55:25 UTC
Still able to add a provider with incorrect Custom Certificate.
Tested on v5.8.0.12-rc1
Please talk to me for more details

Comment 5 Federico Simoncelli 2017-04-30 21:29:02 UTC
(In reply to Pavel Zagalsky from comment #4)
> Still able to add a provider with incorrect Custom Certificate.
> Tested on v5.8.0.12-rc1
> Please talk to me for more details

Beni please check what's going on here. Thanks.

Comment 7 Beni Paskin-Cherniavsky 2017-05-03 13:40:51 UTC
Pavel can it be what you still see is bug 1444033?

- Entering the provider this BZ was originally seen with (whose cert doesn't cover it's hostname), I correctly see error flash:

  »Credential validation was not successful: hostname "ep-ose32-master.scl.lab.tlv.redhat.com" does not match the server certificate«

- Entering same provider with Hostname = 10.35.160.9 (which the cert does cover), »Credential validation was successful«, which is correct.

- If you're referring to editing the custom CA cert and it still passing, that's bug 1444033.

Comment 8 Mooli Tayer 2017-05-03 13:53:47 UTC
Moving back to on QA per comment 7

Comment 9 Pavel Zagalsky 2017-05-03 15:24:05 UTC
Working fine, confused with other issue https://bugzilla.redhat.com/show_bug.cgi?id=1444033

Comment 11 errata-xmlrpc 2017-05-31 15:03:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.